Gtk2::Gdk::Event::Scroll(3p)

NAME
Gtk2::Gdk::Event::Scroll

HIERARCHY
  Gtk2::Gdk::Event
  +----Gtk2::Gdk::Event::Scroll

METHODS

  device or undef = $eventscroll->device ($newvalue=undef)

•   $newvalue (Gtk2::Gdk::Device or undef)

  scrolldirection = $eventscroll->direction ($newvalue=0)

•   $newvalue (Gtk2::Gdk::ScrollDirection)

  double = $event->x ($newvalue=0.0)

•   $newvalue (double)

  double = $event->y ($newvalue=0.0)

•   $newvalue (double)

ENUMS AND FLAGS

  enum Gtk2::Gdk::ScrollDirection

•   'up' / 'GDK_SCROLL_UP'

•   'down' / 'GDK_SCROLL_DOWN'

•   'left' / 'GDK_SCROLL_LEFT'

•   'right' / 'GDK_SCROLL_RIGHT'

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.